Name:			kmymoney
Summary:		A Personal Finance Manager for KDE5
Summary(de):	Eine persönliche Finanzverwaltung für KDE5
Group:			Graphical desktop/KDE5
URL:			https://github.com/KDE/kmymoney/
License:		GPL
Version:		5.0.1
Release:		%mkrel 1
#Source:         kmymoney-master.zip
Source:			https://github.com/KDE/kmymoney/releases/%{name}-%{version}.tar.xz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

BuildRequires: cmake
BuildRequires: lib64alkimia-devel
BuildRequires: lib64aqbanking-devel
BuildRequires: lib64boost-devel
BuildRequires: lib64gmp-devel
BuildRequires: lib64gmpxx-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64gpgme-devel
BuildRequires: lib64gwenhywfar-devel
BuildRequires: lib64ical-devel 
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kdiagram-devel
BuildRequires: lib64kf5activities-devel
BuildRequires: lib64kf5akonadi-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5holidays-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5identitymanagement-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5kcontacts-devel
BuildRequires: lib64kf5kross-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5wallet-devel
BuildRequires: lib64kf5webkit-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64kitemmodels-devel
BuildRequires: lib64kitemviews-devel
BuildRequires: lib64ofx-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel

Requires:	perl-Finance-Quote

%description
KMyMoney is a personal finance manager.

KMyMoney is the Personal Finance Manager for KDE5. It operates
similar to Quicken, supports various account types, categorization
of expenses, multiple currencies, online banking support via QIF,
OFX and HBCI, budgeting and a rich set of reports.

%description -l de
KMyMoney ist die persönliche Finanzverwaltung für KDE5. Es arbeitet 
ähnlich wie Quicken, unterstützt verschiedene Kontotypen, Kategorisierung 
von Ausgaben, mehrere Währungen, Online Banking Unterstützung via QIF, 
OFX und HBCI, Budgetierung und eine reiche Sammlung an Berichten.

%package devel
Summary:	Include files and libraries mandatory for development
Summary(de):	Header-Dateien und Entwicklerdateien
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Include files and libraries mandatory for development with package
kmymoney (KDE5).

%description devel -l de
Header-Dateien und Bibliotheken, die für die Enwicklung von kmymony (KDE5)
bezogenen Programmen gebraucht werden.

%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build

#menu
desktop-file-install --vendor="" \
 --remove-category="Application" \
 --remove-category="Office" \
 --add-category="X-MandrivaLinux-Office-Publishing"\
 --dir %{buildroot}%{_kde_datadir}/applications %{buildroot}%{_kde_datadir}/applications/*


%clean
[ "%{buildroot}" != "/" ] && [ -d "%{buildroot}" ] && %__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_datadir}/doc/HTML
%{_datadir}/icons
%{_datadir}/kmymoney/templates
%{_datadir}/kservices5
%{_datadir}/kservicetypes5
%{_datadir}/kxmlgui5
%{_datadir}/kmymoney/html
%{_datadir}/kmymoney/misc
%{_datadir}/kmymoney/pics
%{_datadir}/kbanking/qml
%{_datadir}/checkprinting

%{_datadir}/metainfo/org.kde.kmymoney.appdata.xml
%{_datadir}/mime/packages/x-kmymoney.xml
#%{_datadir}/weboob/weboob.py
%{_datadir}/applications/org.kde.kmymoney.desktop
%{_datadir}/config.kcfg/kbanking.kcfg
%{_datadir}/config.kcfg/kmymoney.kcfg
%{_datadir}/kconf_update/kmymoney.upd

%{_datadir}/kmymoney/tips
%{_mandir}

%{_libdir}/qt5/plugins/kmymoney

%{_bindir}/kmymoney

%{_libdir}/libkmm_mymoney.so.*
%{_libdir}/libkmm_payeeidentifier.so.*
%{_libdir}/libkmm_plugin.so.*
%{_libdir}/libkmm_widgets.so.*
%{_libdir}/libpayeeidentifier_iban_bic.so.*
%{_libdir}/libpayeeidentifier_iban_bic_widgets.so.*
%{_libdir}/libpayeeidentifier_nationalAccount.so.*
%{_libdir}/libkmm_csvimportercore.so.*
%{_libdir}/libkmm_icons.so.*
#%{_libdir}/libkmm_settings.so.*
%{_datadir}/kmymoney/icons/
%{_datadir}/locale

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/libkmm_plugin.so
%{_libdir}/libkmm_mymoney.so
%{_libdir}/libkmm_payeeidentifier.so
%{_libdir}/libkmm_widgets.so
%{_libdir}/libpayeeidentifier_iban_bic.so
%{_libdir}/libpayeeidentifier_iban_bic_widgets.so
%{_libdir}/libpayeeidentifier_nationalAccount.so
#%{_libdir}/libkmm_settings.so
%{_libdir}/libkmm_csvimportercore.so
%{_libdir}/libkmm_icons.so

%changelog
* Mon Mar 19 2018 bb2 <bb2> - 5.0.1-1pclos2018
- new version

* Mon Mar 05 2018 bb2 <bb2> - 5.0.0-2pclos2018
- update from git master

* Fri Feb 23 2018 bb2 <bb2> - 5.0.0-1pclos2018
- new version
